<?php
/**
 * app/plugins/bookmarks/plugin.php
 *
 * This houses all of the main plugin info and functionality.
 *
 * @package TP Bookmarks
 * @version 3.0
 * @author  Joey Kimsey <Joey@thetempusproject.com>
 * @link    https://TheTempusProject.com
 * @license https://opensource.org/licenses/MIT [MIT LICENSE]
 */
namespace TheTempusProject\Plugins;

use TheTempusProject\Classes\Plugin;
use TheTempusProject\Models\Events;
use TheTempusProject\Models\Bookmarks as Bookmark;
use TheTempusProject\Models\Folders;
use TheTempusProject\Houdini\Classes\Components;
use TheTempusProject\Houdini\Classes\Template;

class Bookmarks extends Plugin {
    public $pluginName = 'TP Bookmarks';
    public $configName = 'bookmarks';
    public $pluginAuthor = 'JoeyK';
    public $pluginWebsite = 'https://TheTempusProject.com';
    public $modelVersion = '1.0';
    public $pluginVersion = '3.0';
    public $pluginDescription = 'A simple plugin which adds a site wide bookmark system.';
    public $permissionMatrix = [
        'useBookmarks' => [
            'pretty' => 'Can use the bookmarks feature',
            'default' => false,
        ],
    ];
    public $main_links = [
        [
            'text' => 'Bookmarks',
            'url' => '{ROOT_URL}bookmarks/index',
            'filter' => 'loggedin',
        ],
    ];
    public $configMatrix = [
        'enabled' => [
            'type' => 'radio',
            'pretty' => 'Enable Bookmarks.',
            'default' => true,
        ],
    ];
}
