<?php
/**
 * app/plugins/blog/templates/blog.inc.php
 *
 * This is the loader for the blog template.
 *
 * @package TP Blog
 * @version 3.0
 * @author  Joey Kimsey <Joey@thetempusproject.com>
 * @link    https://TheTempusProject.com
 * @license https://opensource.org/licenses/MIT [MIT LICENSE]
 */
namespace TheTempusProject\Templates;

use TheTempusProject\Plugins\Calendar;

use TheTempusProject\Houdini\Classes\Components;
use TheTempusProject\Houdini\Classes\Navigation;
use TheTempusProject\Houdini\Classes\Views;
use TheTempusProject\Houdini\Classes\Template;
use TheTempusProject\Bedrock\Functions\Input;
use TheTempusProject\Models\Events;
use TheTempusProject\Models\Calendars;

class CalendarLoader extends DefaultLoader {
    /**
     * This is the function used to generate any components that may be
     * needed by this template.
     */
    public function __construct() {
        $events = new Events;
        $calendars = new Calendars;
        Navigation::setCrumbComponent( 'CALENDAR_BREADCRUMBS', Input::get( 'url' ) );
        Components::set( 'todaysDate', date( 'F d, Y', time()) );
        Components::set( 'currentDay', date( 'F d, Y', time()) );
        Components::set( 'weekOf', 'Week of ' . date( 'F d, Y', strtotime( 'this week' ) ) );
        Components::set( 'year',  date( 'Y', time() ));
        Components::set( 'month', date( 'F', time() ));
        parent::__construct();
    }
}
