<?php
/**
 * app/plugins/contacts/plugin.php
 *
 * This houses all of the main plugin info and functionality.
 *
 * @package TP Contacts
 * @version 3.0
 * @author  Joey Kimsey <Joey@thetempusproject.com>
 * @link    https://TheTempusProject.com
 * @license https://opensource.org/licenses/MIT [MIT LICENSE]
 */
namespace TheTempusProject\Plugins;

use TheTempusProject\Classes\Plugin;
use TheTempusProject\Models\Contact;
use TheTempusProject\Models\Phonebook;
use TheTempusProject\Houdini\Classes\Components;
use TheTempusProject\Houdini\Classes\Template;

class Contacts extends Plugin {
    public $pluginName = 'TP Contacts';
    public $configName = 'contacts';
    public $pluginAuthor = 'JoeyK';
    public $pluginWebsite = 'https://TheTempusProject.com';
    public $modelVersion = '1.0';
    public $pluginVersion = '3.0';
    public $pluginDescription = 'A simple plugin which adds a site wide contacts system.';
    public $permissionMatrix = [
        'useContacts' => [
            'pretty' => 'Can use the contacts feature',
            'default' => false,
        ],
    ];
    public $main_links = [
        [
            'text' => 'Contacts',
            'url' => '{ROOT_URL}contacts/index/',
            'filter' => 'loggedin',
        ],
    ];
    public $configMatrix = [
        'enabled' => [
            'type' => 'radio',
            'pretty' => 'Enable Contacts.',
            'default' => true,
        ],
    ];
    // public $contacts;
    // public $phonebooks;
    
    public function __construct( $load = false ) {
        // $this->contacts = new Contact;
        // $this->phonebooks = new Phonebook;
        parent::__construct( $load );
    }
}
