<?php
/**
 * app/plugins/XXXXXXXXXX/plugin.php
 *
 * This houses all of the main plugin info and functionality.
 *
 * @package TP XXXXXXXXXX
 * @version 3.0
 * @author  Joey Kimsey <Joey@thetempusproject.com>
 * @link    https://TheTempusProject.com
 * @license https://opensource.org/licenses/MIT [MIT LICENSE]
 */
namespace TheTempusProject\Plugins;

use ReflectionClass;
use TheTempusProject\Classes\Installer;
use TheTempusProject\Houdini\Navigation;
use TheTempusProject\Models\forealthough as forealthoughModel;
use TheTempusProject\TheTempusProject as App;

class notrealplugin extends forealthoughModel {
    public static $initialized;
    public $pluginName = 'TP XXXXXXXXXX';
    public $pluginAuthor = 'JoeyK';
    public $pluginWebsite = 'https://TheTempusProject.com';
    public $modelVersion = '1.0';
    public $pluginVersion = '1.0';
    public $pluginDescription = 'A simple plugin which adds a site wide XXXXXXXXXX system.';
    public $configName = 'XXXXXXXXXX';
    public $databaseMatrix = [
        [ 'title', 'varchar', '86' ],
        [ 'suggestion', 'text', '' ],
        [ 'suggestedOn', 'int', '10' ],
        [ 'approved', 'varchar', '5' ],
        [ 'approvedOn', 'int', '10' ],
        [ 'approvedBy', 'int', '11' ],
        [ 'author', 'int', '11' ],
    ];
    public $configMatrix = [
        'enabled' => [
            'type' => 'radio',
            'pretty' => 'Enable XXXXXXXXXX.',
            'default' => true,
        ],
    ];
    public $permissionMatrix = [
        'XXXXXXXXXX' => [
            'pretty' => 'Can create XXXXXXXXXX',
            'default' => false,
        ],
    ];
    public $admin_links = [
        [
            'text' => '<i class="fa fa-fw fa-copy"></i> Suggestions',
            'url' => '{ROOT_URL}admin/suggestions',
        ],
    ];
    public $main_links = [
        [
            'text' => 'Suggestions',
            'url' => '{ROOT_URL}suggestions/index',
        ],
    ];
    public $resourceMatrix = [
        [
            'title' => 'Welcome',
            'content' => '<p>This is just a simple message to say thank you for installing The Tempus Project. If you have any questions you can find everything through our website <a href="https://TheTempusProject.com">here</a>.</p>',
            'author' => 1,
            'created{time}' => 0,
            'edited{time}' => 0,
            'draft' => 0,
        ],
    ];
    public $footer_links = [
        [
            'text' => 'Bug Report',
            'url' => '{ROOT_URL}bugreport',
        ],
    ];
    public function __construct() {
        $reflect = new ReflectionClass( $this );
        if ( true === self::$initialized || !Installer::pluginEnabled( $reflect->getShortName() ) ) {
            return;
        }
        foreach ( $this->footer_links as $key => $link ) {
            Navigation::addLink( App::FOOTER_MENU_NAME, $link );
        }
        foreach ( $this->main_links as $key => $link ) {
            Navigation::addLink( App::MAIN_MENU_NAME, $link );
        }
        foreach ( $this->admin_links as $key => $link ) {
            Navigation::addLink( App::ADMIN_MENU_NAME, $link );
        }
        self::$initialized = true;
    }
}
